列出分配给 connectorGroup 的应用程序
命名空间:microsoft.graph
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
检索与 connectorGroup 关联的应用程序对象的列表。 此列表包含分配给特定连接器组的所有应用程序。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | Directory.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| Application | 不支持。 |
HTTP 请求
GET /onPremisesPublishingProfiles/applicationProxy/connectorGroups/{id}/applications
可选的查询参数
此方法支持 OData 查询参数 来帮助自定义响应。
请求标头
| 名称 | 说明 |
|---|---|
| Authorization | Bearer。 必需 |
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应 200 OK 正文中返回 响应代码和 application 对象集合。
示例
请求
下面展示了示例请求。
GET https://graph.microsoft.com/beta/onPremisesPublishingProfiles/applicationProxy/connectorGroups/{id}/applications
响应
这是一个示例响应。注意:为提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-type: application/json
{
"value": [
{
"id": "id-value",
"onPremisesPublishing": {
"externalUrl": "externalUrl-value",
"internalUrl": "internalUrl-value",
"externalAuthenticationType": "externalAuthenticationType-value",
"isTranslateHostHeaderEnabled": true,
"isTranslateLinksInBodyEnabled": true,
"isOnPremPublishingEnabled": true,
"applicationServerTimeout": "applicationServerTimeout-value",
"applicationType": "applicationType-value",
"verifiedCustomDomainKeyCredential": {
"customKeyIdentifier": "customKeyIdentifier-value",
"endDate": "datetime-value",
"keyId": "keyId-value",
"startDate": "datetime-value",
"type": "type-value",
"usage": "usage-value",
"value": "value-value"
},
"verifiedCustomDomainPasswordCredential": {
"customKeyIdentifier": "customKeyIdentifier-value",
"endDate": "datetime-value",
"keyId": "keyId-value",
"startDate": "datetime-value",
"value": "value-value"
},
"verifiedCustomDomainCertificatesMetadata": {
"thumbprint": "thumbprint-value",
"subjectName": "subjectName-value",
"issuerName": "issuerName-value",
"issueDate": "datetime-value",
"expiryDate": "datetime-value"
},
"singleSignOnSettings": {
"SingleSignOnMode": "SingleSignOnMode-value",
"KerberosSignOnSettings": {
"KerberosServicePrincipalName": "KerberosServicePrincipalName-value",
"KerberosSignOnMappingAttributeType": "KerberosSignOnMappingAttributeType-value"
}
},
"isHttpOnlyCookieEnabled": true,
"isSecureCookieEnabled": true,
"isPersistentCookieEnabled": true
}
}
]
}
反馈
提交和查看相关反馈